* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Bebas Neue', sans-serif;
}

body {
    background-color: #f4f4f4f9;
    min-height: 100vh;
}


/******** Navigation ********/
nav {
    width: 100%;
    height: 100px;
    padding-left: 50px;
    padding-right: 50px;
    padding-top: 40px;
}

nav ul {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    width: 100%;
    gap: 30px;
}

nav ul li {
    list-style: none;
}

nav ul li a {
    /* display: inline-block; */
    height: 45px;
    width: 110%;
    /* line-height: 40px; */
    /* text-align: center; */
    color: white;
    text-decoration: none;
    font-size: 25px;
    /* border-radius: 20px;  */
}

.desktop-nav {
    /* border: 2px solid red; */
}

.desktop-nav li {
    text-align: center;
    padding: 2px 15px;
    line-height: normal;
    border-radius: 18px;
}

.nav-item:hover {
    background: rgba(255, 255, 255, 0.462);

}

nav li:first-child {
    margin-right: auto;
}

/* .nav-item a {
    padding: 5px 10px;
} */

/* .nav-item a:hover {
    background: rgba(255, 255, 255, 0.462);
} */

.action-btn {
    display: inline-block;
    height: 60px;
    width: 170px;
    font-size: 25px;
    text-align: center;
    text-decoration: none;
    color: white;
    background: rgba(255, 255, 255, 0.2);
    border-radius: 20px;
    cursor: pointer;
    backdrop-filter: blur(10px); /* Apply the blur effect */
    line-height: 65px; 
}

.action-btn:hover {
    background: rgba(255, 255, 255, 0.462);
}

#logo {
    font-size: 35px;
}

.sidebar-nav {
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    width: 250px;
    z-index: 999;
    background-color: rgba(255, 255, 255, 0.438);
    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(10px); /* Safari support */
    box-shadow: -10px 0 10px rgba(0, 0, 0, 0.1);
    display: none;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    padding-left: 15px;
    padding-top: 15px;
}

#close-icon {
    justify-self: flex-end;
}

#menu-icon {
    background: rgba(255, 255, 255, 0.2);
    height: 45px;
    width: 45px;
    text-align: center;
    border-radius: 100px;
    line-height: 60px;
    display: none;
}

/******** Navigation ********/


@media(max-width: 890px) {
    .hideOnMobile {
        display: none;
    }

    #menu-icon {
        display: inline-block;
    }
}

.next-button {
    
    display: inline-block;
    outline: 0;
    cursor: pointer;
    border: none;
    padding: 0 56px;
    height: 45px;
    line-height: 45px;
    border-radius: 7px;
    background-color: #0070f3;
    color: white;
    font-weight: 400;
    font-size: 16px;
    box-shadow: 0 4px 14px 0 rgb(0 118 255 / 39%);
    transition: background 0.2s ease,color 0.2s ease,box-shadow 0.2s ease;
    :hover{
        background: rgba(0,118,255,0.9);
        box-shadow: 0 6px 20px rgb(0 118 255 / 23%);
    }
    
}

.next-textinput {
    
    padding: 6px 12px;
    font-size: 16px;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    appearance: none;
    border-radius: 4px;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    :focus{
        color: #212529;
        background-color: #fff;
        border-color: #86b7fe;
        outline: 0;
        box-shadow: 0 0 0 0.25rem rgb(13 110 253 / 25%);
    }
    
}